%define qtmajor 5
%define qtminor 0
%define qtsubminor 2
%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtxmlpatterns %mklibname qtxmlpatterns %qtmajor
%define libqtxmlpatterns_d %mklibname qtxmlpatterns  %qtmajor -d
%define libqtxmlpatterns_p_d %mklibname qt5xmlpatterns-private -d

%define qttarballdir qtxmlpatterns-opensource-src-%{qtversion}

Name: qtxmlpatterns5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://releases.qt-project.org/qt5/%{version}/submodules_tar/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: qt5core-private-devel

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
The QtXmlPatterns module provides support for XPath, XQuery, XSLT and
XML Schema validation.

#------------------------------------------------------------------------------

%package -n %{libqtxmlpatterns}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires: %{name}-xmlpatterns = %{version}

%description -n %{libqtxmlpatterns}
Qt%{qtmajor} Component Library.

The QtXmlPatterns module provides support for XPath, XQuery, XSLT and 
XML Schema validation.

%files -n %{libqtxmlpatterns}
%{_qt5_libdir}/libQt5XmlPatterns.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package xmlpatterns
Summary: Qt%{qtmajor} Xmlpatterns Utility
Group: Development/KDE and Qt
Provides: qt5-xmlpatterns = %version-%release
Obsoletes: qt5-xmlpatterns
Requires:  %{libqtxmlpatterns} = %version-%release

%description xmlpatterns
Qt%{qtmajor} Xmlpatterns Utility.

The QtXmlPatterns module provides support for XPath, XQuery, XSLT and 
XML Schema validation.

%files xmlpatterns
%{_qt5_bindir}/xmlpatterns

#------------------------------------------------------------------------------

%package -n %{libqtxmlpatterns_d}
Summary: Devel files needed to build apps based on QtXmlPatterns
Group:    Development/KDE and Qt
Requires: %{libqtxmlpatterns} = %version
Requires: qtbase5-common-devel
Provides: libqtxmlpatterns5-devel = %version
Provides: libqt5xmlpatterns-devel = %version
Provides: qtxmlpatterns5-devel = %version
Provides: qt5xmlpatterns-devel = %version

%description -n %{libqtxmlpatterns_d}
Devel files needed to build apps based on QtXmlPatterns.

%files -n %{libqtxmlpatterns_d}
%{_qt5_bindir}/xmlpatternsvalidator
%{_qt5_libdir}/libQt5XmlPatterns.prl
%{_qt5_libdir}/libQt5XmlPatterns.so
%{_qt5_libdir}/pkgconfig/Qt5XmlPatterns.pc
%{_qt5_includedir}/QtXmlPatterns
%exclude %{_qt5_includedir}/QtXmlPatterns/%qtversion
%{_qt5_libdir}/cmake/*
%{_qt5_datadir}/mkspecs/modules/*
%{_qt5_examplesdir}/xmlpatterns

#------------------------------------------------------------------------------

%package -n %{libqtxmlpatterns_p_d}
Summary: Devel files needed to build apps based on QtXmlPatterns
Group:    Development/KDE and Qt
Requires: %{libqtxmlpatterns_d} = %version

Provides: libqtxmlpatterns5-private-devel = %version
Provides: libqt5xmlpatterns-private-devel = %version
Provides: qtxmlpatterns5-private-devel = %version
Provides: qt5xmlpatterns-private-devel = %version

Requires: qt5core-private-devel = %version

%description -n %{libqtxmlpatterns_p_d}
Devel files needed to build apps based on QtXmlPatterns.

%files -n %{libqtxmlpatterns_p_d}
%{_qt5_includedir}/QtXmlPatterns/%qtversion

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install

install -d %{buildroot}/%{_qt5_docdir}

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog

* Tue Apr 16 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410195
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394004
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392327
- New version 5.0.1 rc1

  + fwang <fwang>
    - use xz

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-3.mga3
+ Revision: 391603
- Add some more provides

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-2.mga3
+ Revision: 380079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 337533
- New version 5.0.0 Final

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.1.mga3
+ Revision: 322753
- New version rc1

* Fri Nov 16 2012 neoclust <neoclust> 5.0.0-0.beta.17.mga3
+ Revision: 318401
- Adapt to last qtbase5 changes

* Thu Nov 15 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 318285
- imported package qtxmlpatterns5

